Bug 586999 - NM dispatcher script should be in dhclient package
Summary: NM dispatcher script should be in dhclient package
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: dhcp (Show other bugs)
(Show other bugs)
Version: 12
Hardware: All Linux
low
medium
Target Milestone: ---
Assignee: Jiri Popelka
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 591140
TreeView+ depends on / blocked
 
Reported: 2010-04-28 16:34 UTC by Miroslav Lichvar
Modified: 2010-05-22 01:49 UTC (History)
1 user (show)

Fixed In Version: dhcp-4.1.1-16.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 591140 (view as bug list)
Environment:
Last Closed: 2010-05-22 01:44:59 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Miroslav Lichvar 2010-04-28 16:34:49 UTC
Description of problem:
Currently the /etc/NetworkManager/dispatcher.d/10-dhclient script is packaged in dhcp package, but I think it should be in dhclient instead.

Unless the dhcp package is installed, the scripts in /etc/dhcp/dhclient.d/ won't be executed, so local NTP servers won't be used, etc.

Version-Release number of selected component (if applicable):
dhcp-4.1.1-13.fc12.x86_64

Comment 1 Jiri Popelka 2010-04-28 17:11:35 UTC
Aha, this explains bug #459276, comment #26.
Thanks

Comment 2 Fedora Update System 2010-04-28 19:05:32 UTC
dhcp-4.1.1-19.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/dhcp-4.1.1-19.fc13

Comment 3 Fedora Update System 2010-04-28 19:06:00 UTC
dhcp-4.1.1-16.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/dhcp-4.1.1-16.fc12

Comment 4 Fedora Update System 2010-04-30 17:10:15 UTC
dhcp-4.1.1-16.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update dhcp'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/dhcp-4.1.1-16.fc12

Comment 5 Fedora Update System 2010-05-22 01:44:46 UTC
dhcp-4.1.1-16.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2010-05-22 01:49:56 UTC
dhcp-4.1.1-21.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.